

package gov.va.med.cds.exception;


public class SocketClientException
    extends
        AbstractCdsBaseException
{

    /**
     * 
     */
    private static final long serialVersionUID = -2338368395392786715L;


    public SocketClientException( ErrorCodeEnum errorCode, Throwable cause, String... customMsgValues )
    {
        super( errorCode, cause, customMsgValues );
    }


    public SocketClientException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }


    public SocketClientException( ErrorCodeEnum errorCodeName )
    {
        super( errorCodeName );
    }

}
